% getTopImgX

function [imgOne,extension1,numberN,fileList] = getTopImgX(imgFolder,index)

if nargin == 2
    idx = index;
else
    idx = 1;
end

filesX = dir(imgFolder); % this seems like a sub optimal method!

idxMax = length(filesX(:,1));

extensionString = 'not found';
extensionNaked = 'not found';

for i = 1:idxMax
    if ~filesX(i).isdir % check if is a file i.e. not a directory
        tempString = filesX(i).name;
        foundDot = false;
        extLen = 0;
        k = 0;
        while k < (length(tempString))
            if tempString((end-k)) == '.'
                foundDot = true;
                extLen = k;
                break;
            else
                k = k + 1;
            end
        end
        if foundDot
            extensionString = tempString((end-k):end);
            extensionNaked = tempString((end-(k-1)):end);
        end
    end
end

if ~strcmp(extensionString,'not found')
   starExtension = ['*',extensionString];
   imgFiles = dir(fullfile(imgFolder, starExtension));
   img1name = fullfile(imgFolder, imgFiles(idx).name);
   img1 = imread(img1name);
   extension1 = extensionNaked;
   numberN = length(imgFiles(:,1));
   fileList = imgFiles;
   imgOne = img1;
else
   disp(sprintf('Warning: no file extensions or files found for path = "%s"!',imgFolder));
   extension1 = false;
   numberN = 0;
   imgOne = false;
end

